Want to skip the docs? Use the MCP Server
Endpoint availability: Free and aboveLearn more
{
"data": {
"transaction_data": 25,
"ips": 4,
"profanity_data": 3,
"emails": 1,
"phone_numbers": 1,
"ibans": 10
},
"status": "success"
}
{
"status": "error",
"code": 101,
"type": "invalid_key",
"description": "The API Key is missing or invalid."
}
User Data Deletion
curl --request DELETE \
--url https://greipapi.com/account/users/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>"
}
'import requests
url = "https://greipapi.com/account/users/delete"
payload = { "value": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://greipapi.com/account/users/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"transaction_data": 25,
"ips": 4,
"profanity_data": 3,
"emails": 1,
"phone_numbers": 1,
"ibans": 10
},
"status": "success"
}
{
"status": "error",
"code": 101,
"type": "invalid_key",
"description": "The API Key is missing or invalid."
}
Account Management
User Data Deletion
In some cases, such as data protection regulations, businesses that process personal data are required to delete it upon request.
Using this method, you’ll be able to delete all data related to your user in a single request.
Want to skip the docs? Use the MCP Server
Endpoint availability: Free and aboveLearn more
{
"data": {
"transaction_data": 25,
"ips": 4,
"profanity_data": 3,
"emails": 1,
"phone_numbers": 1,
"ibans": 10
},
"status": "success"
}
{
"status": "error",
"code": 101,
"type": "invalid_key",
"description": "The API Key is missing or invalid."
}
DELETE
/
account
/
users
/
delete
User Data Deletion
This action cannot be undone, all deleted data will be deleted immediately
from our system.
User data can be deleted 2 minutes after its creation in our system.
Body Parameters
string
required
The email address, phone number, or user ID (in your system) of the user whose
data you want to delete.
Response properties
object
required
Hide properties
Hide properties
integer
Number of transactions or transaction related data deleted.
integer
Number of IP addresses related data deleted.
integer
Number of user data deleted from the usage of Profanity Detection endpint.
integer
Number of user data deleted from the Email Scoring endpoint.
integer
Number of user data deleted from the Phone Scoring endpoint.
integer
Number of user data deleted from the IBAN Lookup endpoint.
string
required
The response status.Expected values:
success, or error.Was this page helpful?
⌘I